package wenrgise.hrms.ejb.facade;

import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import wenrgise.common.exception.EnrgiseApplicationException;
import wenrgise.common.exception.EnrgiseSystemException;
import wenrgise.common.vo.LovQueryVO;
import wenrgise.common.vo.LovVO;
import wenrgise.hrms.ejb.business.HrmReportBO;

public class HrmReportFacadeBean implements SessionBean {
  public void ejbCreate() {}
  
  public void ejbActivate() {}
  
  public void ejbPassivate() {}
  
  public void ejbRemove() {}
  
  public void setSessionContext(SessionContext ctx) {}
  
  public LovVO getYYMMReportLOVData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmReportBO oHrmReportBO = new HrmReportBO();
    LovVO oLovVO = oHrmReportBO.getYYMMReportLOVData(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getDesigIdReportLOVData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmReportBO oHrmReportBO = new HrmReportBO();
    LovVO oLovVO = oHrmReportBO.getDesigIdReportLOVData(oLovQueryVO);
    return oLovVO;
  }
}
